flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fabian Hueske <fhue...@gmail.com>
Subject Re: Elasticsearch connector
Date Tue, 19 Sep 2017 08:42:17 GMT
Hi,

that's correct. Elasticsearch changed its API from 5.1 to 5.2.
There is a JIRA issue for the problem [1] and a pull request [2].

It would be great if you could help to resolve the problem by verifying the
PR.

Thanks, Fabian

[1] https://issues.apache.org/jira/browse/FLINK-7386
[2] https://github.com/apache/flink/pull/4675

2017-09-15 19:05 GMT+02:00 Premkumar, Ramprabhu <
ramprabhu.premkumar@verizon.com>:

> Hi Team,
>
> Could you please let me know if the elasticsearch connector from Flink
> 1.3.2 support elasticsearch 5.5.1. I am not able to find the add method in
> RequestIndexer interface using this connector.
>
> Dependency used:
>
> <dependency>
>     <groupId>org.apache.flink</groupId>
>     <artifactId>flink-connector-elasticsearch5_2.10</artifactId>
>     <version>1.3.2</version>
> </dependency>
>
> Thanks
> Ramprabhu Premkumar
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message